< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package un
  Definition Classes
    root
-  package unece
  Definition Classes
    un
-  package uncefact
  Definition Classes
    unece
-  package data
  Definition Classes
    uncefact
-  package standard
  Definition Classes
    data
-  package unqualifieddatatype
  Definition Classes
    standard
-  package _6
  Definition Classes
    unqualifieddatatype
- AmountType
- CodeType
- DateTimeType
- IDType
- MeasureType
- ObjectFactory
- QuantityType
- TextType

c

un.unece.uncefact.data.standard.unqualifieddatatype._6

# IDType 

###

#### class IDType extends AnyRef

Java class for IDType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="IDType">
      <simpleContent>
        <extension base="<http://www.w3.org/2001/XMLSchema>token">
          <attribute name="schemeID" type="{http://www.w3.org/2001/XMLSchema}token" />
          <attribute name="schemeName" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="schemeAgencyID" type="{urn:un:unece:uncefact:codelist:standard:UNECE:AgencyIdentificationCode:D12B}AgencyIdentificationCodeContentType" />
          <attribute name="schemeAgencyName" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="schemeVersionID" type="{http://www.w3.org/2001/XMLSchema}token" />
          <attribute name="schemeDataURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
          <attribute name="schemeURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
        </extension>
      </simpleContent>
    </complexType>

Linear Supertypes
AnyRef, Any
Known Subclasses
AEOMutualRecognitionPartyIdentificationIDType, AdditionalDocumentIdentificationIDType, AddressPostcodeIDType, AgentIdentificationIDType, ArrivalTransportMeansIdentificationIDType, AuthorisationHolderIdentificationIDType, BorderTransportMeansIdentificationIDType, BuyerIdentificationIDType, CarrierIdentificationIDType, ClassificationBindingTariffReferenceIDType, ClassificationIdentificationIDType, CommunicationIdentificationIDType, ConsigneeIdentificationIDType, ConsignorIdentificationIDType, DangerousGoodsUNDGIDType, DeclarantIdentificationIDType, DeclarationDeclarationOfficeIDType, DeclarationFunctionalReferenceIDType, DeclarationIdentificationIDType, DeclarationIssueLocationIdentificationIDType, DepartureTransportMeansIdentificationIDType, DestinationRegionIDType, DomesticDutyTaxPartyIdentificationIDType, DutyTaxFeeQuotaOrderIDType, ExitOfficeIdentificationIDType, ExporterIdentificationIDType, GoodsLocationIdentificationIDType, GuaranteeOfficeIdentificationIDType, ImporterIdentificationIDType, InvoiceIdentificationIDType, LoadingLocationIdentificationIDType, ManufacturerIdentificationIDType, ObligationGuaranteeIdentificationIDType, ObligationGuaranteeReferenceIDType, OriginRegionIDType, PackagingMarksNumbersIDType, PayerIdentificationIDType, PointerTagIDType, PresentationOfficeIdentificationIDType, PreviousDocumentIdentificationIDType, RefundRecipientPartyIdentificationIDType, SealIdentificationIDType, SellerIdentificationIDType, SubmitterIdentificationIDType, SupervisingOfficeIdentificationIDType, SuretyIdentificationIDType, TradeTermsLocationIDType, TransportEquipmentIdentificationIDType, UCRIdentificationIDType, UCRTraderAssignedReferenceIDType, WarehouseIdentificationIDType, AppealOfficeIdentificationIDType, BankAccountIdentificationIDType, BankReferenceIDType, CommunicationIdentificationIDType, ContactOfficeIdentificationIDType, DeclarationFunctionalReferenceIDType, DeclarationIdentificationIDType, DeclarationVersionIDType, DutyTaxFeeQuotaOrderIDType, ObligationGuaranteeReferenceIDType, PaymentReferenceIDType, PointerTagIDType, ResponseFunctionalReferenceIDType
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IDType
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new IDType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getSchemeAgencyID(): String

    Gets the value of the schemeAgencyID property.

    Gets the value of the schemeAgencyID property.

    returns

      possible object is ``

11.  def getSchemeAgencyName(): String

    Gets the value of the schemeAgencyName property.

    Gets the value of the schemeAgencyName property.

    returns

      possible object is ``

12.  def getSchemeDataURI(): String

    Gets the value of the schemeDataURI property.

    Gets the value of the schemeDataURI property.

    returns

      possible object is ``

13.  def getSchemeID(): String

    Gets the value of the schemeID property.

    Gets the value of the schemeID property.

    returns

      possible object is ``

14.  def getSchemeName(): String

    Gets the value of the schemeName property.

    Gets the value of the schemeName property.

    returns

      possible object is ``

15.  def getSchemeURI(): String

    Gets the value of the schemeURI property.

    Gets the value of the schemeURI property.

    returns

      possible object is ``

16.  def getSchemeVersionID(): String

    Gets the value of the schemeVersionID property.

    Gets the value of the schemeVersionID property.

    returns

      possible object is ``

17.  def getValue(): String

    Gets the value of the value property.

    Gets the value of the value property.

    returns

      possible object is ``

18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def setSchemeAgencyID(value: String): Unit

    Sets the value of the schemeAgencyID property.

    Sets the value of the schemeAgencyID property.

    value

      allowed object is ``

24.  def setSchemeAgencyName(value: String): Unit

    Sets the value of the schemeAgencyName property.

    Sets the value of the schemeAgencyName property.

    value

      allowed object is ``

25.  def setSchemeDataURI(value: String): Unit

    Sets the value of the schemeDataURI property.

    Sets the value of the schemeDataURI property.

    value

      allowed object is ``

26.  def setSchemeID(value: String): Unit

    Sets the value of the schemeID property.

    Sets the value of the schemeID property.

    value

      allowed object is ``

27.  def setSchemeName(value: String): Unit

    Sets the value of the schemeName property.

    Sets the value of the schemeName property.

    value

      allowed object is ``

28.  def setSchemeURI(value: String): Unit

    Sets the value of the schemeURI property.

    Sets the value of the schemeURI property.

    value

      allowed object is ``

29.  def setSchemeVersionID(value: String): Unit

    Sets the value of the schemeVersionID property.

    Sets the value of the schemeVersionID property.

    value

      allowed object is ``

30.  def setValue(value: String): Unit

    Sets the value of the value property.

    Sets the value of the value property.

    value

      allowed object is ``

31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped